//
//  GetPlaylistDetailResponse.swift
//  SodaLive
//
//  Created by klaus on 12/8/24.
//

import Foundation

struct GetPlaylistDetailResponse: Decodable {
    let playlistId: Int
    let title: String
    let desc: String
    let createdDate: String
    let contentCount: Int
    let playlistCoverImageList: [String]
    let contentList: [AudioContentPlaylistContent]
}

struct AudioContentPlaylistContent: Decodable {
    let id: Int
    let title: String
    let category: String
    let coverUrl: String
    let duration: String
    let creatorNickname: String
    let creatorProfileUrl: String
}
